I dont know exactly how the baseband works with all of its 0x000 and 0x2000 blocks etc, but With the dev team coming in close to finish the baseband unlock of 1.1.3. you think there will be a way to upgrade to 1.1.3 with a preinstalled unlocked baseband? because from what i know they BL will only allow a newer version..?? or is this just a dumb question that needs a quick NO and needs to be deleted?